List Edge Routes
curl --request GET \
--url https://api.getfloo.com/v1/apps/{app_id}/edge/routes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/edge/routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/edge/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/edge/routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/edge/routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps/{app_id}/edge/routes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/edge/routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"host": "<string>",
"path_prefix": "<string>",
"env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"env": "<string>",
"env_slug": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "<string>",
"access_mode": "<string>",
"api_key_enabled": true,
"required_scope": "<string>",
"source": "deploy",
"source_of_truth": "<string>",
"propagation_status": "unknown",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}edge
List Edge Routes
List the customer-safe edge route table for one app.
GET
/
v1
/
apps
/
{app_id}
/
edge
/
routes
List Edge Routes
curl --request GET \
--url https://api.getfloo.com/v1/apps/{app_id}/edge/routes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/edge/routes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/edge/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/edge/routes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/edge/routes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps/{app_id}/edge/routes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/edge/routes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"host": "<string>",
"path_prefix": "<string>",
"env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"env": "<string>",
"env_slug": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "<string>",
"access_mode": "<string>",
"api_key_enabled": true,
"required_scope": "<string>",
"source": "deploy",
"source_of_truth": "<string>",
"propagation_status": "unknown",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Path Parameters
Query Parameters
Optional environment filter. Omit to inspect every app route. Enumerate the persisted development, production, and preview environment names.
Available options:
dev, prod, preview